<?php

add_action('admin_print_styles', 'avopt_admin_css');
function avopt_admin_css() {
	wp_enqueue_style( AVOPT.'_style', 'http://im.altervista.org/wordpress/css/admin.css');
	//wp_enqueue_style( AVOPT.'_style', AVOPT_URL.'admin/style.css');
	if (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 7.0') != false || strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 8.0') != false) {
		wp_enqueue_style( AVOPT.'_style_ie', 'http://im.altervista.org/wordpress/css/admin-ie.css');
	}
}

//enqueue admin scripts
function avopt_load_admin_page_scripts() {
	wp_register_script('avopt-functions',AVOPT_URL.'scripts/functions.js');
        wp_enqueue_script('avopt-functions');
}

add_action('admin_menu', 'avopt_register_admin_pages');
function avopt_register_admin_pages() {
	$current_user = wp_get_current_user();
	$page = add_menu_page(__('Earn',AVOPT),__('Earn',AVOPT),'manage_options',AVOPT."_ads",'avopt_ads_admin_page','http://im.altervista.org/wordpress/images/gain.png',4);
	add_action("admin_print_scripts-".$page, 'avopt_load_color_picker_banner_script');
	//only for super-admin user
	if($current_user->user_login == AVOPT_ACCOUNT) {
		$revenues_page = add_submenu_page(AVOPT."_ads",__('Revenues report',AVOPT),__('Revenues Report',AVOPT),'manage_options','avopt_revenues','avopt_revenues_admin_page');
	}
	if(!isset($_SERVER['AV_GROUP_NAME'])) {
		$toolbar_page = add_submenu_page('themes.php', __('Toolbar', AVOPT), __('Toolbar', AVOPT), 'manage_options', 'avopt_toolbar', 'avopt_toolbar_admin_page');
	}
	$favicon_page = add_submenu_page('themes.php', __('Favicon', AVOPT), __('Favicon', AVOPT), 'manage_options', 'avopt_favicon', 'avopt_favicon_admin_page');
	$stats_page = add_dashboard_page(__('Statistics', AVOPT), __('Statistics', AVOPT), 'manage_options', 'avopt_stats', 'avopt_stats_admin_page');
	//add js functions
	add_action("admin_print_scripts", 'avopt_load_admin_page_scripts');
}

function avopt_toolbar_admin_page() {
	?>
	<div class="wrap avopt-wrap"> <!-- start .wrap -->
		<?php screen_icon(); ?>
	<h2 class="avopt-page-title"><?php _e('Customize the AlterVista Toolbar', AVOPT); ?></h2>
    
	<?php
	$avpanel_sid = get_transient('avopt_panel_sid');
	$AlterVistaPanel = new WP_AlterVistaPanel();
	if(empty($avpanel_sid)) {
		if($AlterVistaPanel) {
		    $AlterVistaPanel->get_sid();
		}
		$avpanel_sid = get_transient('avopt_panel_sid');
	}
	if(!empty($avpanel_sid)) {
		set_transient('avopt_panel_sid', $avpanel_sid,60*30);
		$server_name = $AlterVistaPanel->get_panel_server();
	
	?>
	<div id="avopt-panel-page">
		<div id="avopt-full-screen-nav" class="clearfix">
			<div id="avopt-back">
				<a class="back button" href="<?php echo esc_url( admin_url( 'themes.php' ) ); ?>">
					<?php _e( 'Back' ); ?>
				</a>
			</div>
			<div id="avopt-title">
				<?php _e('Customize the AlterVista Toolbar', AVOPT); ?>
			</div>
		</div>
		<div id="avopt-frame-container">
			<iframe frameborder="0" id="avopt-panel-iframe" class="avopt-toolbar-iframe" src="http://<?php echo $server_name; ?>/tools/toolbar/editor.pl?sid=<?php echo $avpanel_sid; ?>" ></iframe>
		</div>
	</div>
	</div> <!-- end .wrap -->
	<?php
	} else {
	?>
		<div id="avopt-panel-page">
			<div class="av-panel-error">
			<?php _e('Service temporarily unavailable, please try again later. If it persists,<a href="http://forum.en.altervista.org/cms/">contact us on the forum</a>', AVOPT); ?>
			</div>
		</div>
	<?php
	}
}

function avopt_favicon_admin_page() {
	?>
	<div class="wrap avopt-wrap"> <!-- start .wrap -->
		<?php screen_icon(); ?>
	<h2 class="avopt-page-title"><?php _e('Customize the Favicon', AVOPT); ?></h2>
    
	<?php
	$avpanel_sid = get_transient('avopt_panel_sid');
	$AlterVistaPanel = new WP_AlterVistaPanel();
	if(empty($avpanel_sid)) {
		if($AlterVistaPanel) {
		    $AlterVistaPanel->get_sid();
		}
		$avpanel_sid = get_transient('avopt_panel_sid');
	}
	if(!empty($avpanel_sid)) {
		set_transient('avopt_panel_sid', $avpanel_sid,60*30);
		$server_name = $AlterVistaPanel->get_panel_server();
	
	?>
	<div id="avopt-panel-page">
		<div id="avopt-full-screen-nav" class="clearfix">
			<div id="avopt-back">
				<a class="back button" href="<?php echo esc_url( admin_url( 'themes.php' ) ); ?>">
					<?php _e( 'Back' ); ?>
				</a>
			</div>
			<div id="avopt-title">
				<?php _e('Customize the Favicon', AVOPT); ?>
			</div>
		</div>
		<div id="avopt-frame-container">
			<iframe frameborder="0" id="avopt-panel-iframe" src="http://<?php echo $server_name; ?>/tools/favicon/favicon.pl?sid=<?php echo $avpanel_sid; ?>"></iframe>
		</div>
	</div>
	</div> <!-- end .wrap -->
	<?php
	} else {
	?>
		<div id="avopt-panel-page">
			<div class="av-panel-error">
			<?php _e('Service temporarily unavailable, please try again later. If it persists,<a href="http://forum.en.altervista.org/cms/">contact us on the forum</a>', AVOPT); ?>
			</div>
		</div>
	<?php
	}
}

function avopt_stats_admin_page() {
	?>
	<div class="wrap avopt-wrap"> <!-- start .wrap -->
		<?php screen_icon(); ?>
	<h2 class="avopt-page-title"><?php _e('Statistics', AVOPT); ?></h2>
    
	<?php
	$avpanel_sid = get_transient('avopt_panel_sid');
	$AlterVistaPanel = new WP_AlterVistaPanel();
	if(empty($avpanel_sid)) {
		if($AlterVistaPanel) {
		    $AlterVistaPanel->get_sid();
		}
		$avpanel_sid = get_transient('avopt_panel_sid');
	}
	if(!empty($avpanel_sid)) {
		set_transient('avopt_panel_sid', $avpanel_sid,60*30);
		$server_name = $AlterVistaPanel->get_panel_server();
	
	?>
	<div id="avopt-panel-page">
		<div id="avopt-full-screen-nav" class="clearfix">
			<div id="avopt-back">
				<a class="back button" href="<?php echo esc_url( admin_url( 'index.php' ) ); ?>">
					<?php _e( 'Back' ); ?>
				</a>
			</div>
			<div id="avopt-title">
				<?php _e('Statistics', AVOPT); ?>
			</div>
		</div>
		<div id="avopt-frame-container">
			<iframe frameborder="0" id="avopt-panel-iframe" src="http://<?php echo $server_name; ?>/stats.pl?sid=<?php echo $avpanel_sid; ?>"></iframe>
		</div>
	</div>
	</div> <!-- end .wrap -->
	<?php
	} else {
	?>
		<div id="avopt-panel-page">
			<div class="av-panel-error">
			<?php _e('Service temporarily unavailable, please try again later. If it persists,<a href="http://forum.en.altervista.org/cms/">contact us on the forum</a>', AVOPT); ?>
			</div>
		</div>
	<?php
	}
}

function avopt_revenues_admin_page() {
	$AlterVistaPanel = new WP_AlterVistaPanel();
	$revenues_data = get_transient('avopt_revenues_info');
	if(empty($revenues_data)) {
		if($AlterVistaPanel) {
		    $AlterVistaPanel->get_revenues();
		    $revenues_data = get_transient('avopt_revenues_info');
		}
	}
	if(!empty($revenues_data['altervista_tot']) && $revenues_data['altervista_tot'] > 0  || !empty($revenues_data['last_payed'])) { 
		$avpanel_sid = get_transient('avopt_panel_sid');
		if(empty($avpanel_sid)) {
			if($AlterVistaPanel) {
			    $AlterVistaPanel->get_sid();
			}
			$avpanel_sid = get_transient('avopt_panel_sid');
		}
		if(!empty($avpanel_sid)) {
			set_transient('avopt_panel_sid', $avpanel_sid,60*30);
			$server_name = $AlterVistaPanel->get_panel_server();
		?>
		<div class="wrap avopt-wrap"> <!-- start .wrap -->
			<?php screen_icon('avopt_ads'); ?>
		<h2 class="avopt-page-title"><?php _e('Revenues Report', AVOPT); ?></h2>
		<div id="avopt-panel-page">
			<div id="avopt-full-screen-nav" class="clearfix">
				<div id="avopt-back">
					<a class="back button" href="<?php echo esc_url( admin_url( 'index.php' ) ); ?>">
						<?php _e( 'Back' ); ?>
					</a>
				</div>
				<div id="avopt-title">
					<?php _e('Revenues Report', AVOPT); ?>
				</div>
			</div>
			<div id="avopt-frame-container">
				<iframe frameborder="0" id="avopt-panel-iframe" src="http://<?php echo $server_name; ?>/guadagni.pl?sid=<?php echo $avpanel_sid; ?>"></iframe>
			</div>
		</div>
		</div> <!-- end .wrap -->
		<?php
		} else {
		?>
			<div id="avopt-panel-page">
				<div class="av-panel-error">
				<?php _e('Service temporarily unavailable, please try again later. If it persists,<a href="http://forum.en.altervista.org/cms/">contact us on the forum</a>', AVOPT); ?>
				</div>
			</div>
		<?php
		}
	} else {
	?>
		<div class="wrap avopt-wrap"> <!-- start .wrap -->
			<?php screen_icon('avopt_ads'); ?>
		<h2><?php _e('Revenues Report', AVOPT); ?></h2>
		<div class="av-earning">
			<h3><?php _e('You have no revenues yet. Insert ads on your blog and start earning money.', AVOPT); ?></h3>
			<p style="text-align:center">
				<a href="admin.php?page=av_optimizer_ads">
					<img height="136" width="132" src="http://im.altervista.org/portal/omino-soldi.png" class="align-left" />
				</a>
			</p>
			<p style="text-align:center">
				<a class="button-primary" href="admin.php?page=av_optimizer_ads">
					<?php _e('Activate Banners', AVOPT); ?>
				</a>
			</p>
		</div>
	<?php			
	}
}
?>