<?php
/**
 * @package AlterVista Optimizer
 */
/*
Plugin Name: AlterVista Optimizer
Description: Adds all the AlterVista services to your blog.
Author: Niccol&ograve; Tapparo
Version: 4.2.2
Author URI: http://wordpress.altervista.org/
Plugin URI: http://www.altervista.org/
*/

/*

Changelog:

@version 4.2.2
- Bugfix

@version 4.2.1
- Zombie-plugin killer

@version 4.2.0
- New banner positions inside posts

@version 4.1.1
- anti spam report

@version 4.1.0
- anti spam filter

@version 4.0.2
- bugfix

@version 4.0.1
- bugfix

@version 4.0
- Stats, toolbar, favicon and revenues
- New dashboard

@version 3.0.1
- Bugfix
- AlterVista Banner preview

@version 3.0
- Update from AlterVista API
- Banner management
- Bugfix

@version 2.1
- Added Facebook Share button
- Added Facebook Meta Tags
- Bugfix

@version 2.0
- Social Sharing buttons (Google+1, Facebook Like, Twitter)
- Code cleaning

@version 1.4 
- Removes toolbar for logged users (Admin bar fix)
- Link to Install Theme Page on admin bar
- Dashboard Install Theme widget

@version 1.3
- Filter for feed aggregator

@version 1.2
- Notification for AV WordPress upgrades
- Filter for imported posts

@version 1.1
- Widget for 300X250 video banner
- Fixed category/tag submission bug


*/

//configuration

define('AVOPT', 'av_optimizer'); 
define('AVOPT_PATH', plugin_dir_path(__FILE__) );
$account = explode('/',AVOPT_PATH);
define('AVOPT_ACCOUNT',$account[2]);
define('AVOPT_URL', plugin_dir_url(__FILE__) );
define('AVOPT_SLUG', 'altervista-optimizer');
define('AVOPT_BASE_NAME', plugin_basename( __FILE__ ));

// api url for automatic upgrades
define( 'AVOPT_API_URL', 'http://it.altervista.org/wordpress/plugin_server.php');

add_filter( 'locale', 'avopt_language_switch', 10, 1 );
load_plugin_textdomain(AVOPT, false, dirname(plugin_basename(__FILE__)).'/langs/');

if(is_admin()) {	
	include dirname( __FILE__ ) . '/admin/admin.php';
}


foreach ( glob( dirname( __FILE__ ) . '/includes/*.php' ) as $file ) {
	include $file;
}


/* Language switcher */
function avopt_language_switch($locale) {
	
	$avopt_language_options = get_option('avopt_language_options');
	if(is_admin()) {
		$locale = !empty($avopt_language_options['admin_language']) ? $avopt_language_options['admin_language'] : $locale;
	}
	if(!is_admin()) {
		$locale = !empty($avopt_language_options['blog_language']) ? $avopt_language_options['blog_language'] : $locale;
	}
	return $locale;
	
}

/* wptouch pro activation/deactivation */

//AlterVista theme is active -> deactivate wptouch pro
function avopt_deactivate_wptouch_pro() {
	if(get_option("stylesheet") == "altervista") {
		include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
		if ( is_plugin_active('wptouch-pro/wptouch-pro.php') ) {
			deactivate_plugins('wptouch-pro/wptouch-pro.php');    
		}
	}
}
add_action( 'init', 'avopt_deactivate_wptouch_pro' );

//switch from AlterVista theme to another one -> activate wptouch pro
function avopt_activate_wptouch_pro() {
	if(get_option("theme_switched") == "altervista") {
		activate_plugins('wptouch-pro/wptouch-pro.php');  
	} 
}
add_action( 'switch_theme', 'avopt_activate_wptouch_pro' );

function avopt_print_favicon() {
	if(!isset($_SERVER['AV_GROUP_NAME'])) {
	   return;
	}
	if ( file_exists(ABSPATH . 'favicon.ico') ) {
		$favicon = get_bloginfo('url')."/favicon.ico";
	} else {
		$favicon = "http://gr.altervista.org/favicon.php?group=".$_SERVER['HTTP_HOST'];
	}	
	?>	
	<link rel="shortcut icon" href="<?php echo $favicon; ?>" />
	<?php
}
add_action( 'wp_head', 'avopt_print_favicon' );
add_action( 'admin_head', 'avopt_print_favicon' );

?>