<?php

/* Admin Bar CSS fontend*/
add_action('wp_enqueue_scripts','avopt_admin_bar_frontend_css');
function avopt_admin_bar_frontend_css () {
	
    wp_register_style('avopt-admin-bar-css', 'http://im.altervista.org/wordpress/css/admin-bar.css');
    if (is_user_logged_in()) {
            wp_enqueue_style('avopt-admin-bar-css');
    }
	
}

/* Admin Bar CSS backend */
add_action('admin_print_styles', 'avopt_admin_bar_backend_css');
function avopt_admin_bar_backend_css() {
	
    wp_register_style('avopt-admin-bar-css', 'http://im.altervista.org/wordpress/css/admin-bar.css');
    wp_enqueue_style('avopt-admin-bar-css');


}

/* Remove WordPress.org and updates menu from admin bar */
add_action( 'wp_before_admin_bar_render', 'remove_admin_bar_links', 1 );
function remove_admin_bar_links() {
	
        global $wp_admin_bar;
	$wp_admin_bar->remove_menu('wp-logo');
	$wp_admin_bar->remove_menu('updates');
        
}


/* Add AlterVista menu to admin bar */
add_action( 'admin_bar_menu', 'advopt_admin_bar_altervista', 1);
function advopt_admin_bar_altervista() {
    
    global $wp_admin_bar;
    
    $wp_admin_bar->add_node( array(
        'id' => 'admin_bar_altervista',
        'title' => '<span class="ab-icon"></span>',
        'href' => __('http://en.altervista.org/', AVOPT),
        'meta'   => array(
                        'class' => 'avopt_ab_logo',
                        'target' => '_blank'
                        ),
    ));
    
    if(WPLANG == 'it_IT') :
    
        $wp_admin_bar->add_menu( array(
            'parent' => 'admin_bar_altervista',
            'id'     => 'ab_altervista_tutorial',
            'title' => __( 'WordPress Tutorial', AVOPT),
            'href' => __('http://translate.google.com/translate?hl=en&sl=it&tl=en&u=http%3A%2F%2Ftutorial.altervista.org%2Fwordpress%2Fguida%2F', AVOPT),
            'meta'   => array(
                'target' => '_blank'
                ),
        ));
    
    endif;
    
    $wp_admin_bar->add_menu( array(
        'parent' => 'admin_bar_altervista',
        'id'     => 'ab_altervista_forum',
        'title' => __( 'Support Forum', AVOPT),
        'href' => __('http://forum.en.altervista.org/cms/', AVOPT),
        'meta'   => array(
            'target' => '_blank'
            ),
    ));
    
    $wp_admin_bar->add_menu( array(
        'parent' => 'admin_bar_altervista',
        'id'     => 'ab_altervista_feedback',
        'title' => __( 'Feedback', AVOPT),
        'href' => __('http://it.altervista.org/feedback.php?who=feedback&lang=en', AVOPT),
        'meta'   => array(
            'target' => '_blank'
            ),
    ));
    
    
    
    
    
}

?>