<?php


add_action('init', 'avopt_registered_ads_init');
function avopt_registered_ads_init(){
    
    if(get_option('avopt_ads_options')) return;
    $avopt_registered_ads = array();
    $avopt_registered_ads = avopt_register_default_ads($avopt_registered_ads);
    add_option('avopt_ads_options', $avopt_registered_ads);

}

add_filter('the_content', 'avopt_print_post_banner', 1);
function avopt_print_post_banner($content) {
    if(!is_feed() && is_single()) {
	$avopt_registered_ads = get_option('avopt_ads_options');
	$content = avopt_print_banner('ga-336X280-before-post', array('style' => 'text-align:left;padding-bottom: 20px;'), true) . $content . avopt_print_banner('ga-336X280-after-post', array('style' => 'text-align:center;padding-bottom: 20px;'), true);
    }
    return $content;
}

function avopt_print_banner($code, $params = array(), $return = null) {
    
    $avopt_registered_ads = get_option('avopt_ads_options');
    if(isset($avopt_registered_ads[$code]['available']) && isset($avopt_registered_ads[$code]['enabled']) && $avopt_registered_ads[$code]['available'] && $avopt_registered_ads[$code]['enabled']) { 
        $js = ($avopt_registered_ads[$code]['network'] == 'altervista') ? 'js.ad' : 'js2.ad';
	$params['class'] .= ' alterbanner_'.$avopt_registered_ads[$code]['size'].'_on';
        $banner_html = '<div';
	if(isset($params['id'])) {
	    $banner_html .= " id=\"{$params['id']}\"";
	}
	if(isset($params['class'])) {
	    $banner_html .= " class=\"{$params['class']}\"";
	}
	if(isset($params['style'])) {
	    $banner_html .= " style=\"{$params['style']}\"";
	}
	$banner_html .= ">\n";
	$banner_html .= "<script type=\"text/javascript\">\n //<![CDATA[\n";
	if($avopt_registered_ads[$code]['network'] == 'adsense') {
	    $banner_html .= "google_color_border = \"{$avopt_registered_ads[$code]['params']['border']}\";\n";
	    $banner_html .= "google_color_bg = \"{$avopt_registered_ads[$code]['params']['background']}\";\n";
	    $banner_html .= "google_color_link = \"{$avopt_registered_ads[$code]['params']['link']}\";\n";
	    $banner_html .= "google_color_url = \"{$avopt_registered_ads[$code]['params']['url']}\";\n";
	    $banner_html .= "google_color_text = \"{$avopt_registered_ads[$code]['params']['text']}\";\n";
	    $banner_html .= "google_ui_features = \"{$avopt_registered_ads[$code]['params']['corners']}\";\n";
	    if($type == 'text') {
		$banner_html .= "google_ad_type = \"text\"\n";
	    } elseif($type == 'images') {
		$banner_html .= "google_ad_type = \"image\"\n";
	    }
	}
	$banner_html .= "document.write('<s'+'cript type=\"text/javascript\" src=\"http://ad.altervista.org/$js/size={$avopt_registered_ads[$code]['size']}/r='+new Date().getTime()+'\"><\/s'+'cript>');\n";
	$banner_html .= "// ]]>\n";
	$banner_html .= "</script>\n";
	$banner_html .= "</div>\n";
    }
    if(!$return) {
	echo $banner_html;
    } else {
	return $banner_html;
    }
    
}

function avopt_register_default_ads($avopt_registered_ads) {
    
    $default_params = array(
	'border' => 'DDDDDD',
	'background' => 'FFFFFF',
	'link' => '232323',
	'url' => 'DD362F',
	'text' => '373737',
	'corners' => 'rc:0',
	'type' => ''
    );
    $avopt_default_ads = array(			  
	'ga-336X280-before-post' => array(
	    'size' => '336X280',
	    'network' => 'adsense',
	    'label' => __('VideoBanner Large Before Post', AVOPT),
	    'screenshot' => 'http://im.altervista.org/wordpress/images/ga-before-post.png',
	    'description' => __('Show 336X280 banner after post title, before content.', AVOPT),
	    'available' => true,
	    'params' => $default_params
	),
	'ga-336X280-after-post' => array(
	    'size' => '336X280',
	    'network' => 'adsense',
	    'label' => __('VideoBanner Large After Post', AVOPT),
	    'screenshot' => 'http://im.altervista.org/wordpress/images/ga-after-post.png',
	    'description' => __('Show 336X280 banner after post content, before comments.', AVOPT),
	    'available' => true,
	    'params' => $default_params
	)
    );
    foreach( $avopt_default_ads as $code => $params) {
        foreach( $params as $key => $value) {
	    if(!isset($avopt_registered_ads[$code][$key])) {
		$avopt_registered_ads[$code][$key] = $value;
	    }
        }
    }
    return $avopt_registered_ads;
    
}

function avopt_register_ads($ads) {
      
    $avopt_registered_ads = get_option('avopt_ads_options');
    $avopt_registered_ads = avopt_register_default_ads($avopt_registered_ads);
    foreach( $ads as $code => $params) {
        foreach( $params as $key => $value) {
	    if(!isset($avopt_registered_ads[$code][$key])) {
		$avopt_registered_ads[$code][$key] = $value;
	    }
        }
    }
    update_option('avopt_ads_options', $avopt_registered_ads);
    
}

// ############### ADMIN #################

function avopt_ads_admin_page() {
?>
    <div class="wrap avopt-wrap"> <!-- start .wrap -->
    <?php screen_icon('avopt_ads'); ?>
    <h2><?php _e('Earn money with Ads', AVOPT); ?></h2>
    <ul class="avopt-nav clearfix">
	<li class="avopt-nav-item avopt-nav-curr-item"><a href="?page=av_optimizer_ads"><?php _e('Banner on theme',AVOPT); ?></a></li>
	<li class="avopt-nav-item"><a href="admin.php?page=av_optimizer_banners"><?php _e('Banner on posts',AVOPT); ?></a></li>
    </ul>
    <?php
     $avopt_registered_ads = get_option('avopt_ads_options');
     if(count($avopt_registered_ads) >= 1) :
    ?>
	<form action="options.php" method="post">
	    <div id="avopt-ads-options">
	    <?php settings_fields('avopt_ads_options'); ?>
	    <?php do_settings_sections(AVOPT.'_ads'); ?>
	    <br />
	    <input class="button-primary" name="Submit" type="submit" value="<?php _e('Save Changes',AVOPT); ?>" />
	    </div>
	</form>
    <?php else : ?>
	<div class="avopt-content">
	    <p>
		<?php _e('Current theme has no available banner positions. Anyway you can <a href="widgets.php">insert a <strong>widget AlterVista Banner</strong> in the sidebar</a>.', AVOPT); ?>
	    </p>
	    <div>
		<a href="widgets.php" title="Insert widget Banner">
		    <img style="padding:1px;border:1px solid #CCC;" title="Insert widget Banner" alt="Insert widget Banner" src="http://im.altervista.org/wordpress/images/widget-adv.jpg" />
		</a>
	    </div>
	    <p>
		<?php _e('The most profitable banner is 300x250. To increase your revenues with this banner, <a target="_blank" href="http://en.altervista.org/cplogin.php?redirect=/adsense.pl">activate AlterVista with Google AdSense</a>.', AVOPT); ?>
	    </p>
	</div>
    <?php endif; ?>
    <div id="avopt-overlay" class="avopt-overlay-grey" style="display:none" onclick="return closeOverlay()"></div>
    
    <div class="avopt-popup-frame"  style="display:none" id="avopt-overlay-content">
	    <div class="avopt-popup-window">
		    <div class="avopt-popup-content" id="avopt-cplogin-container"></div>
		    <a class="avopt-popup-close" href="#" onclick="return closeOverlay()"><img src="http://im.altervista.org/cp/buttons/cross-button.png" alt="Chiudi" border="0" /></a>
	    </div>
    </div>
    </div> <!-- end .wrap -->
<?php
}

// Register and define the settings
add_action('admin_init', 'avopt_ads_settings_registration');
function avopt_ads_settings_registration(){

	add_settings_section(
		'avopt_ads_section',
		'',
		'avopt_ads_settings_desc',
		AVOPT.'_ads'
	);
        
        add_settings_field(
		'avopt_ads_positions',
		__('Style',AVOPT),
		'avopt_ads_positions_html',
		AVOPT.'_ads',
		'avopt_ads_section'
	);
	
	register_setting(
		'avopt_ads_options',
		'avopt_ads_options',
		'avopt_ads_settings_validate'
	);
	
}

function avopt_ads_settings_desc() {
    
    ?>
    <div>
    <?php _e('These are the advertising positions available on you theme. Activate them to start earning money.', AVOPT); ?>
    </div>
    <?php
	$avopt_registered_ads = get_option('avopt_ads_options');
	if(count($avopt_registered_ads) > 3) {
    ?>
	    <div style="margin-top:20px;">
		 <input class="button-primary" name="Submit" type="submit" value="<?php _e('Save Changes',AVOPT); ?>" />
	    </div>
    <?php
    }
}

function avopt_ads_positions_html() {
    
     $avopt_registered_ads = get_option('avopt_ads_options');
     $account_info = get_transient('avopt_account_info');
     if(empty($account_info)) {
	$AlterVistaPanel = new WP_AlterVistaPanel();
	if($AlterVistaPanel) {
	    $AlterVistaPanel->get_account_info();
	}
	 $account_info = get_transient('avopt_account_info');
     }
     
     ?>
     <ul id="avopt-ads-positions">
    <?php foreach($avopt_registered_ads as $code => $params) { ?>
        <?php if(isset($params['available']) && !$params['available']) {
	    continue;
	} ?>
        <li class="avopt-ads-position clearfix <?php if($avopt_registered_ads[$code]['network'] == 'adsense') echo "avopt-position-adsense"; ?>">
	    <?php
	    $network = ($avopt_registered_ads[$code]['network'] == 'altervista') ? 'AlterVista Banner' : 'AlterVista with Google AdSense';
	    ?>
	    <div class="avopt-ads-position-inputs  <?php if($account_info['adsense'] != 'active' && $avopt_registered_ads[$code]['network'] != 'altervista') echo "avopt-adsense-off"; ?>">
		<h3 class="avopt-ads-position-title"><?php echo $params['label']; ?></h3>
		<div class="avopt-ads-position-network"><?php echo $network; ?></div>
		<p class="avopt-ads-position-desc"><?php _e($params['description'], AVOPT); ?></p>
		
		<input id="<?php echo $code; ?>-on" <?php if($account_info['adsense'] != 'active' && $avopt_registered_ads[$code]['network'] != 'altervista') echo 'onclick="this.checked=false;"'; ?> type="radio" value="1" name="avopt_ads_options[<?php echo $code; ?>]" <?php if( isset($params['enabled']) && $params['enabled'] ) echo 'checked="checked"'; ?> />
		<label class="avopt-ads-position-on" for="<?php echo $code; ?>-on">
		    <span class><?php _e('Activate', AVOPT); ?></span>
		</label>
		
		<input id="<?php echo $code; ?>-off" <?php if($account_info['adsense'] != 'active' && $avopt_registered_ads[$code]['network'] != 'altervista') echo 'onclick="this.checked=false;"'; ?> type="radio" value="0" name="avopt_ads_options[<?php echo $code; ?>]" <?php if( !isset($params['enabled']) || !$params['enabled'] ) echo 'checked="checked"'; ?> />
		<label class="avopt-ads-position-off"  for="<?php echo $code; ?>-off">
		    <span><?php _e('Deactivate', AVOPT); ?></span>
		</label>
		<img class="avopt-ads-position-screenshot" src="<?php echo $params['screenshot']; ?>"  />
		<?php if($avopt_registered_ads[$code]['network'] == 'adsense') : ?>
		<a id="avopt-color-on-<?php echo $code; ?>" class="avopt-color-button" <?php if($account_info['adsense'] == 'active') { ?> onclick="avoptOpenAdsColors('<?php echo $code; ?>', 'open');" <?php } ?>>
			<img src="http://im.altervista.org/wordpress/images/color.png"> <?php _e('Colours',AVOPT); ?>
		</a>
		<a style="display:none" id="avopt-color-off-<?php echo $code; ?>" class="avopt-color-button" <?php if($account_info['adsense'] == 'active') { ?> onclick="avoptOpenAdsColors('<?php echo $code; ?>', 'close');" <?php } ?>>
			<img src="http://im.altervista.org/wordpress/images/color.png"> <?php _e('Hide',AVOPT); ?>
		</a>
		<?php endif; ?>
	    </div>
	    <?php if($account_info['adsense'] != 'active' && $avopt_registered_ads[$code]['network'] != 'altervista') : ?>
	    <div class="avopt-adsense-off-message">
		<a href="#" onclick="return openOverlay('adsense.pl','<?php echo WPLANG; ?>','<?php echo AVOPT_ACCOUNT; ?>');" >
		<?php _e('Activate AlterVista with Google AdSense to increase your revenues.', AVOPT); ?>
		</a>
	    </div>
	    <?php endif; ?>
	    <?php if($avopt_registered_ads[$code]['network'] == 'adsense') : ?>
	    <div id="avopt-ads-colors-<?php echo $code; ?>" class="avopt-ads-position-colors">
		<select id="border-style" onchange="changeBorders(this.value);" name="avopt_ads_options[<?php echo $code; ?>_corners]">
				<option value="rc:0" <?php selected( $avopt_registered_ads[$code]['params']['corners'], 'rc:0' ); ?>><?php _e('Squared',AVOPT); ?></option>
				<option value="rc:6" <?php selected( $avopt_registered_ads[$code]['params']['corners'], 'rc:6' ); ?>><?php _e('Slightly Rounded',AVOPT); ?></option>
				<option value="rc:10" <?php selected( $avopt_registered_ads[$code]['params']['corners'], 'rc:10' ); ?>><?php _e('Very Rounded',AVOPT); ?></option>
			</select>
		<label><?php _e('Border Style',AVOPT); ?></label>
		<ul class="avopt-ads-position-color-list" onmouseover="jscolor.init();">
		    <li>
			<input size="7" id="border-color" onchange="changeColor('border',this.color);" class="color"  name="avopt_ads_options[<?php echo $code; ?>_border]" type="text" value="<?php echo $avopt_registered_ads[$code]['params']['border']; ?>" />
			<label><?php _e('Border',AVOPT); ?></label>
		    </li>
		    <li>
			<input size="7" id="background-color" onchange="changeColor('bg',this.color);" class="color"  name="avopt_ads_options[<?php echo $code; ?>_background]" type="text" value="<?php echo $avopt_registered_ads[$code]['params']['background']; ?>" />
			<label><?php _e('Background',AVOPT); ?></label>
		    </li>
		    <li>
			<input size="7" id="link-color" onchange="changeColor('link',this.color);" class="color" name="avopt_ads_options[<?php echo $code; ?>_link]" type="text" value="<?php echo $avopt_registered_ads[$code]['params']['link']; ?>" />
			<label><?php _e('Link',AVOPT); ?></label>
		    </li>
		    <li>
			<input size="7" id="url-color" onchange="changeColor('url',this.color);" class="color" name="avopt_ads_options[<?php echo $code; ?>_url]" type="text" value="<?php echo $avopt_registered_ads[$code]['params']['url']; ?>" />
			<label><?php _e('Url',AVOPT); ?></label>
		    </li>
		    <li>
			<input size="7" id="text-color" onchange="changeColor('text',this.color);" class="color" name="avopt_ads_options[<?php echo $code; ?>_text]" type="text" value="<?php echo $avopt_registered_ads[$code]['params']['text']; ?>" />
			<label><?php _e('Text',AVOPT); ?></label>
		     </li>
		</ul>
	    </div>
	    <?php endif; ?>
        </li>
        
    <?php } ?>
     </ul>
     <script type="text/javascript">
     function avoptOpenAdsColors(code, action) {
	if(action == 'open') {
	    document.getElementById('avopt-ads-colors-'+code).style.display = 'block';
	    document.getElementById('avopt-color-off-'+code).style.display = 'inline';
	    document.getElementById('avopt-color-on-'+code).style.display = 'none';
	} else {
	    document.getElementById('avopt-ads-colors-'+code).style.display = 'none';
	    document.getElementById('avopt-color-off-'+code).style.display = 'none';
	    document.getElementById('avopt-color-on-'+code).style.display = 'inline';
	}
     }
     </script>
    <?php
}

function avopt_ads_settings_validate($input) {
    
    $avopt_registered_ads = get_option('avopt_ads_options');
    $avopt_registered_ads = avopt_register_default_ads($avopt_registered_ads);
    foreach( $avopt_registered_ads as $code => $params) {
        if(isset($input[$code]) && $input[$code] == 1) {
            $avopt_registered_ads[$code]['enabled'] = true;
        } else {
	    $avopt_registered_ads[$code]['enabled'] = false;
	}
	if($avopt_registered_ads[$code]['network'] == 'adsense') {
	    $avopt_registered_ads[$code]['params']['border'] = $input[$code.'_border'];
	    $avopt_registered_ads[$code]['params']['background'] = $input[$code.'_background'];
	    $avopt_registered_ads[$code]['params']['link'] = $input[$code.'_link'];
	    $avopt_registered_ads[$code]['params']['url'] = $input[$code.'_url'];
	    $avopt_registered_ads[$code]['params']['text'] = $input[$code.'_text'];
	    $avopt_registered_ads[$code]['params']['corners'] = $input[$code.'_corners'];
	}
    }
    return $avopt_registered_ads;
    
}

add_action( 'switch_theme', 'avopt_ads_switch_theme' );
function avopt_ads_switch_theme() {
    
    delete_option('avopt_ads_options');
    
}

/*
 * This function does nothing. Needed for po translation
 */
function avopt_string_to_translate(){
    
    __('Show 728X90 banner on header.', AVOPT);
    __('Show 300X250 banner on main sidebar top.', AVOPT);
    __('Show 468X60 on posts, before comments', AVOPT);
    __('Show 468X60 banner on header', AVOPT);
    __('Show 160X600 banner on secondary sidebar. Only for three-column layout.', AVOPT);
    __('Show 468X60 banner on header and after posts/pages.', AVOPT);
    __('Show 468X60 banner on header, home and after posts/pages.', AVOPT);
    __('Show 468X60 banner on home and after posts/pages.', AVOPT);
    
}


?>