<?php


// load banner options and set defaults
$avopt_banners_options = get_option('avopt_banners_options');

if(!$avopt_banners_options) {
	$save = true;
}

$avopt_banners_options['border'] = isset($avopt_banners_options['border']) ? $avopt_banners_options['border'] : 'DEDEDE';
$avopt_banners_options['background'] = isset($avopt_banners_options['background']) ? $avopt_banners_options['background'] : 'FFFFFF';
$avopt_banners_options['link'] = isset($avopt_banners_options['link']) ? $avopt_banners_options['link'] : '1122CC';
$avopt_banners_options['url'] = isset($avopt_banners_options['url']) ? $avopt_banners_options['url'] : '009933';
$avopt_banners_options['text'] = isset($avopt_banners_options['text']) ? $avopt_banners_options['text'] : '333333';
$avopt_banners_options['network'] = isset($avopt_banners_options['network']) ? $avopt_banners_options['network'] : 'adsense';
$avopt_banners_options['size'] = isset($avopt_banners_options['size']) ? $avopt_banners_options['size'] : '336X280';
$avopt_banners_options['align'] = isset($avopt_banners_options['align']) ? $avopt_banners_options['align'] : 'alignnone';
$avopt_banners_options['type'] = isset($avopt_banners_options['type']) ? $avopt_banners_options['type'] : 'default';
$avopt_banners_options['corners'] = isset($avopt_banners_options['corners']) ? $avopt_banners_options['corners'] : 'rc:0';

if(isset($save) && $save == true) {
	update_option('avopt_banners_options',$avopt_banners_options);
}


// tinymce button custom size
add_action('admin_head-post-new.php', 'avopt_tinymce_custom_css');
add_action('admin_head-post.php', 'avopt_tinymce_custom_css');
function avopt_tinymce_custom_css() {
  
  ?>
<style type="text/css">
#content_insertadv {
width: 68px;
}

#content_insertadv img {
width: 66px;
height: 16px;
padding-top: 2px;
}
</style>
  <?php
  
}

add_action('init', 'avopt_add_tinymce_buttons');
function avopt_add_tinymce_buttons() {
   // Don't bother doing this stuff if the current user lacks permissions
   if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
 
   // Add only in Rich Editor mode
   if ( get_user_option('rich_editing') == 'true') {
     add_filter("mce_external_plugins", "add_insertadv_tinymce_plugin");
     add_filter('mce_buttons', 'avopt_register_insertadv_button');
   }
}
 
function avopt_register_insertadv_button($buttons) {
   array_push($buttons, "separator", "insertadv");
   return $buttons;
}
 
// Load the TinyMCE plugin : editor_plugin.js (wp2.5)
function add_insertadv_tinymce_plugin($plugin_array) {
   $plugin_array['insertadv'] = AVOPT_URL.'tinymce/adv/editor_plugin.js';
   return $plugin_array;
}

// add shortcode
add_shortcode('banner','avopt_banner_shortcode');
function avopt_banner_shortcode($attr) {
  
  $avopt_registered_ads = get_option('avopt_ads_options');
  if(isset($avopt_registered_ads['ga-336X280-after-post']['available']) && isset($avopt_registered_ads['ga-336X280-after-post']['enabled']) && $avopt_registered_ads['ga-336X280-after-post']['available'] && $avopt_registered_ads['ga-336X280-after-post']['enabled'] && $avopt_registered_ads['ga-336X280-before-post']['available'] && isset($avopt_registered_ads['ga-336X280-before-post']['enabled']) && $avopt_registered_ads['ga-336X280-before-post']['available'] && $avopt_registered_ads['ga-336X280-before-post']['enabled']) {
	return '<br />';
  }
  
  if(is_feed()) {
	return " ";
  }
  
  global $avopt_banners_options;
    
  $available_size = array(
    '300X250' => 1,
    '336X280' => 1,
    '468X60' => 1,
    '125X125' => 1,
    '180X600' => 1,
    '120X600' => 1,
    '728X90' => 1
  );
   
  $border = isset($attr['border']) ? $attr['border'] : $avopt_banners_options['border'];
  $bg = isset($attr['bg']) ? $attr['bg'] : $avopt_banners_options['background'];
  $link = isset($attr['link']) ? $attr['link'] : $avopt_banners_options['link'];
  $url = isset($attr['url']) ? $attr['url'] : $avopt_banners_options['url'];
  $text = isset($attr['text']) ? $attr['text'] : $avopt_banners_options['text'];
  $size = isset($attr['size']) ? $attr['size'] : $avopt_banners_options['size'];
  $align = isset($attr['align']) ? $attr['align'] : $avopt_banners_options['align'];
  $type = isset($attr['type']) ? $attr['type'] : $avopt_banners_options['type'];
  $corners = isset($attr['corners']) ? $attr['corners'] : $avopt_banners_options['corners'];

  
  $network = isset($attr['network']) ? $attr['network'] :  $avopt_banners_options['network'];
  $js = ($network == 'altervista') ? 'js.ad' : 'js2.ad';
  
  $sizes = explode('X',$size);
  $width = $sizes[0]."px";
  
  if($align == 'aligncenter') {
    $margin = 'margin:auto;';
  }
  
  $html .= <<<HTMLEND
<div class="$align" style="padding:10px;width:$width;$margin">
<script type="text/javascript">
// <![CDATA[\n
HTMLEND;

  if($network == 'adsense') {
	
      $html .= <<<HTMLEND
google_color_border = "$border";
google_color_bg = "$bg";
google_color_link = "$link";
google_color_url = "$url";
google_color_text = "$text";
google_ui_features = "$corners";\n
HTMLEND;

    if($type == 'text') {
	$html .= "\ngoogle_ad_type = \"text\"; \n";
    } else if($type == 'images') {
	$html .= "\ngoogle_ad_type = \"image\"; \n";
    }
  }

  $html .= <<<HTMLEND
document.write('<s'+'cript type="text/javascript" src="http://ad.altervista.org/$js/size=$size/r='+new Date().getTime()+'"><\/s'+'cript>');
// ]]>
</script>
</div> 
HTMLEND;
  
  
  return $html;
  
}

// ############### ADMIN #################

add_action('admin_menu', 'avopt_banner_shortcode_admin_page_registration');
function avopt_banner_shortcode_admin_page_registration() {

      $page = add_submenu_page(AVOPT."_ads",__('Advertising Settings',AVOPT),__('Advertising on posts',AVOPT),'manage_options',AVOPT.'_banners','avopt_banner_shortcode_admin_page_html');
      add_action("admin_print_scripts-".$page, 'avopt_load_color_picker_banner_script');

}

function avopt_banner_shortcode_admin_page_html() {
	
        global $avopt_banners_options;
	?>
	
	<div class="wrap avopt-wrap">
	<?php screen_icon('avopt_ads'); ?>
	<h2><?php _e('Earn money with Ads', AVOPT); ?></h2>
	<ul class="avopt-nav clearfix">
	    <li class="avopt-nav-item"><a href="?page=av_optimizer_ads"><?php _e('Banner on theme',AVOPT); ?></a></li>
	    <li class="avopt-nav-item avopt-nav-curr-item"><a href="admin.php?page=av_optimizer_banners"><?php _e('Banner on posts',AVOPT); ?></a></li>
	</ul>
	<div class="avopt-content">
	<p>
          <?php _e('To insert a banner in a post, go to new post page and <strong>click on button "Banner"</strong>.', AVOPT); ?>
	</p>
	<div>
	  <img style="padding:1px;border:1px solid #CCC;" alt="Banner button" src="http://im.altervista.org/wordpress/images/adv-post.png" />
	</div>
	<p>
		<?php _e('<strong>Choose here default options</strong> for the inserted banner.', AVOPT); ?>
	</p>
          <div id="avopt-banner-page" class="postbox-container avopt-postbox">
            <form action="options.php" method="post">
              <div id="banner-options" class="postbox">
                    <?php settings_fields('avopt_banners_options'); ?>
                    <?php do_settings_sections(AVOPT.'_banners'); ?>
                    <div id="insertadv-buttons">
                      <input class="button-primary" name="Submit" type="submit" value="<?php _e('Save Changes',AVOPT); ?>" />
                    </div>
              </div> <!-- .postbox -->
              <div id="banner-preview" class="postbox">
                    <h3><?php _e('Preview',AVOPT); ?></h3>
                      <?php
                      
                      $nAds = array(
                              '300X250' => 4,
                              '336X280' => 4,
                              '125X125' => 1,
                              '120X600' => 4,
                              '160X600' => 5,
                              '468X60' => 1
                      );
                      
                      ?>
                      <div class="banner-preview-content">
                        <div id="banner-adsense" <?php if($avopt_banners_options['network'] == 'altervista') { echo 'style="display:none;"';} ?>>
                               <div class="border" id="border" style="border: 1px solid #<?php echo $avopt_banners_options['border']; ?>; height:<?php echo $banner_size[1]; ?>px; width: <?php echo $banner_size[0]; ?>px; background-color: #<?php echo $avopt_banners_options['background']; ?>;">
                                       <div style="background-color: #<?php echo $avopt_banners_options['background']; ?> " class="bg">
                                               <div class="link" style="color: #<?php echo $avopt_banners_options['link']; ?>; "><?php _e('Link Title'); ?></div>
                                               <div class="text" style="color: #<?php echo $avopt_banners_options['text']; ?>; ">Lorem ipsum dolor sit amet, tetur adipisci elit vesti ac ornare vitae cum laude.</div>
                                               <div class="url" style="color: #<?php echo $avopt_banners_options['url']; ?>; ">www.ads-url.com</div>
                                       </div>		
                               </div> <!-- #border -->
                        </div> <!-- #banner -->
			<div id="banner-altervista" <?php if($avopt_banners_options['network'] == 'adsense') { echo 'style="display:none;"';} ?>>
				<img id="banzai-adv" src="">
			</div>	
                      </div> <!-- .banner-preview-content -->
                      <script type="text/javascript">
                      changeNetwork('<?php echo $avopt_banners_options['network']; ?>','<?php echo $avopt_banners_options['size']; ?>');
                      </script>          
              </div> <!-- .postbox -->
            </form>
          </div> <!-- .postbox-container -->
	  </div> <!-- .avopt-content -->
	</div> <!-- .wrap -->
	<?php
	
}

// Register and define the settings
add_action('admin_init', 'avopt_banners_settings_registration');
function avopt_banners_settings_registration(){

	add_settings_section(
		'avopt_banners_section',
		__('Banner Settings',AVOPT),
		'avopt_banners_settings_desc',
		AVOPT.'_banners'
	);

        add_settings_field(
		'avopt_banners_network_field',
		__('Network',AVOPT),
		'avopt_banners_network_html',
		AVOPT.'_banners',
		'avopt_banners_section'
	);

	add_settings_field(
		'avopt_banners_size_field',
		__('Format',AVOPT),
		'avopt_banners_size_html',
		AVOPT.'_banners',
		'avopt_banners_section'
	);
        
        add_settings_field(
		'avopt_banners_alignment_field',
		__('Aligment',AVOPT),
		'avopt_banners_alignment_html',
		AVOPT.'_banners',
		'avopt_banners_section'
	);
        
        add_settings_field(
		'avopt_banners_colours_field',
		__('Style',AVOPT),
		'avopt_banners_colours_html',
		AVOPT.'_banners',
		'avopt_banners_section'
	);
	
	register_setting(
		'avopt_banners_options',
		'avopt_banners_options',
		'avopt_banners_settings_validate'
	);
	
}


function avopt_banners_settings_desc() {
	?>   
	<?php
}

function avopt_banners_alignment_html() {
        global $avopt_banners_options;
        ?>
         <div style="padding-top:5px;">
            <input name="avopt_banners_options[align]" id="align-none" value="alignnone" type="radio" <?php checked( $avopt_banners_options['align'], 'alignnone' ); ?> />
            <label for="align-none" class="align image-align-none-label"><?php _e('None',AVOPT); ?></label>
            <input name="avopt_banners_options[align]" id="align-left" value="alignleft" type="radio" <?php checked( $avopt_banners_options['align'], 'alignleft' ); ?> />
            <label for="align-left" class="align image-align-left-label"><?php _e('Left',AVOPT); ?></label>
            <br /><br />
            <input name="avopt_banners_options[align]" id="align-center" value="aligncenter" type="radio" <?php checked( $avopt_banners_options['align'], 'aligncenter' ); ?> />
            <label for="align-center" class="align image-align-center-label"><?php _e('Center',AVOPT); ?></label>
            <input name="avopt_banners_options[align]" id="align-right" value="alignright" type="radio" <?php checked( $avopt_banners_options['align'], 'alignright' ); ?> />
            <label for="align-right" class="align image-align-right-label"><?php _e('Right',AVOPT); ?></label>
            </div>
        <?php
}


// Display and fill the form field
function avopt_banners_network_html() {
	global $avopt_banners_options;
	// echo the field
		
	?>
        <div style="padding-top:5px;">
        <input onchange="changeNetwork(this.value, null);" id="altervista-type" type="radio" name="avopt_banners_options[network]" value="altervista" <?php checked( $avopt_banners_options['network'], 'altervista' ); ?> />
        <label for="altervista-type">AlterVista Banner</label>
        <br /><br />
        <input onchange="changeNetwork(this.value, null);" id="adsense-type" type="radio" name="avopt_banners_options[network]" value="adsense" <?php checked( $avopt_banners_options['network'], 'adsense' ); ?> />
        <label for="adsense-type">AlterVista with Google AdSense</label>
        <span style="padding-left:10px;">
        <select name="avopt_banners_options[type]" id="adsenseType"<?php
        if($avopt_banners_options['network'] == 'altervista') {
                echo ' disabled="disabled" style="display:none;"';
        }
        ?>>
                <option value="default" <?php selected( $avopt_banners_options['type'], 'default' ); ?>>Text/Images</option>
                <option value="text" <?php selected( $avopt_banners_options['type'], 'text' ); ?>>Text Only</option>
                <option value="images" <?php selected( $avopt_banners_options['type'], 'images' ); ?>>Images Only</option>
        </select>
        </span>
        </div>
        
        <?php       
}

// Display and fill the form field
function avopt_banners_size_html() {
	global $avopt_banners_options;
	// echo the field
		
	?>
         <div style="padding-top:5px;">
        <select id="size"  onchange="changeSize(this.value);" name="avopt_banners_options[size]">
<?php
          if($avopt_banners_options['network'] == 'adsense') {
          ?>
                  <option value="336X280" <?php selected( $avopt_banners_options['size'], '336X280' ); ?>><?php _e('Video Banner Large 336x280',AVOPT); ?></option>
                  <option value="160X600" <?php selected( $avopt_banners_options['size'], '160X600' ); ?>><?php _e('Skycraper Large 160x600',AVOPT); ?></option>
          <?php
          }
          ?>
          <option value="300X250" <?php selected( $avopt_banners_options['size'], '300X250' ); ?>><?php _e('Video Banner 300x250',AVOPT); ?></option>
          <option value="468X60" <?php selected( $avopt_banners_options['size'], '468X60' ); ?>><?php _e('Small 468x60',AVOPT); ?></option>
          <option value="120X600" <?php selected( $avopt_banners_options['size'], '120X600' ); ?>><?php _e('Skycraper 120x600',AVOPT); ?></option>
          <option value="125X125" <?php selected( $avopt_banners_options['size'], '125X125' ); ?>><?php _e('Button 125x125',AVOPT); ?></option>
         </select>
        </div>
        <?php       
}

// Display and fill the form field
function avopt_banners_colours_html() {
	global $avopt_banners_options;
	// echo the field
		
	?>
         <div id="color-inputs" style="padding-top:5px;">
            <ul onmouseover="jscolor.init();">
			<li>
                                 <select id="border-style" onchange="changeBorders(this.value);" name="avopt_banners_options[corners]">
					 <option value="rc:0" <?php selected( $avopt_banners_options['corners'], 'rc:0' ); ?>><?php _e('Squared',AVOPT); ?></option>
					 <option value="rc:6" <?php selected( $avopt_banners_options['corners'], 'rc:6' ); ?>><?php _e('Slightly Rounded',AVOPT); ?></option>
					 <option value="rc:10" <?php selected( $avopt_banners_options['corners'], 'rc:10' ); ?>><?php _e('Very Rounded',AVOPT); ?></option>
				</select>
                                 <label><?php _e('Border Style',AVOPT); ?></label>
                         </li>
                         <li>
                                 <input id="border-color" onchange="changeColor('border',this.color);" class="color"  name="avopt_banners_options[border]" type="text" value="<?php echo $avopt_banners_options['border']; ?>" />
                                 <label><?php _e('Border',AVOPT); ?></label>
                         </li>
                         <li>
                                 <input id="background-color" onchange="changeColor('bg',this.color);" class="color"  name="avopt_banners_options[background]" type="text" value="<?php echo $avopt_banners_options['background']; ?>" />
                                 <label><?php _e('Background',AVOPT); ?></label>
                         </li>
                         <li>
                                 <input id="link-color" onchange="changeColor('link',this.color);" class="color" name="avopt_banners_options[link]" type="text" value="<?php echo $avopt_banners_options['link']; ?>" />
                                 <label><?php _e('Link',AVOPT); ?></label>
                         </li>
                         <li>
                                 <input id="url-color" onchange="changeColor('url',this.color);" class="color" name="avopt_banners_options[url]" type="text" value="<?php echo $avopt_banners_options['url']; ?>" />
                                 <label><?php _e('Url',AVOPT); ?></label>
                         </li>
                         <li>
                                 <input id="text-color" onchange="changeColor('text',this.color);" class="color" name="avopt_banners_options[text]" type="text" value="<?php echo $avopt_banners_options['text']; ?>" />
                                 <label><?php _e('Text',AVOPT); ?></label>
                         </li>
            </ul>
            </div>
	<?php
}


function avopt_banners_settings_validate( $input ) {      
        
        $available_size = array(
          '300X250' => 1,
          '336X280' => 1,
          '468X60' => 1,
          '125X125' => 1,
          '180X600' => 1,
          '120X600' => 1,
          '728X90' => 1
        );
              
        
        $valid['border'] = preg_match("/^[A-F0-9]{3,6}$/", $input['border']) ? $input['border'] : 'DEDEDE';
        $valid['background'] = preg_match("/^[A-F0-9]{3,6}$/", $input['background']) ? $input['background'] : 'FFFFFF';
        $valid['link'] = preg_match("/^[A-F0-9]{3,6}$/", $input['link']) ? $input['link'] : '1122CC';
        $valid['url'] = preg_match("/^[A-F0-9]{3,6}$/", $input['url']) ? $input['url'] : '009933';
        $valid['text'] = preg_match("/^[A-F0-9]{3,6}$/", $input['text']) ? $input['text'] : '333333';
        $valid['network'] = ($input['network'] == 'altervista' || $input['network'] == 'adsense') ? $input['network'] : 'adsense';
        $valid['size'] = isset($available_size[$input['size']]) ? $input['size'] : '336X280';
        $valid['align'] = isset($input['align']) ? $input['align'] : 'alignnone';    
        $valid['type'] = isset($input['type']) ? $input['type'] : 'textImages';
	$valid['corners'] = isset($input['corners']) ? $input['corners'] : 'rc:0';
        
        add_settings_error('avopt_banners_options', 'avopt_settings_updated', __('Settings saved.', AVOPT), 'updated');
        
	return $valid;
}


// Add JSCOLOR javascritp to banner page on WordPress Admin
function avopt_load_color_picker_banner_script() {
	
	wp_register_script('jscolor',AVOPT_URL.'scripts/jscolor/jscolor.js');
        wp_register_script('banner_preview',AVOPT_URL.'scripts/banner-preview.js');
	wp_enqueue_script('jscolor');
        wp_enqueue_script('banner_preview');
	
}


?>