<?php

// AlterVista Banner
add_action('widgets_init', 'AlterVista_Banner_loader');
function AlterVista_Banner_loader() {
	register_widget('AlterVista_Banner');
}

class AlterVista_Banner extends WP_Widget {
	function AlterVista_Banner() {
		/* Widget settings. */
		$widget_ops = array('classname' => 'AlterVista_Banner', 'description' => __('Use this widget to add a banner of AlterVista to your blog',AVOPT));

		/* Widget control settings. */
		$control_ops = array('id_base' => 'altervista_banner');

		/* Create the widget. */
		$this->WP_Widget('altervista_banner', __('AlterVista Banner',AVOPT), $widget_ops, $control_ops );
	}

function form($instance) {
		
		$defaults = array( 
				'size' => '300X250', 
			);
		
		$instance = wp_parse_args( (array) $instance, $defaults );
		$size = $instance['size'];
		
		?>			
		   <p><?php _e('Select Format',AVOPT); ?>:
				<select name="<?php echo $this->get_field_name( 'size' ); ?>">
					 <option value="300X250" <?php selected( $size, '300X250' ); ?>><?php _e('Video Banner 300x250',AVOPT); ?></option>
					 <option value="120X600" <?php selected( $size, '120X600' ); ?>><?php _e('Skycraper 120x600',AVOPT); ?></option>
					 <option value="125X125" <?php selected( $size, '125X125' ); ?>><?php _e('Button 125x125',AVOPT); ?></option>
				</select>
		   </p>
		
		<?php
		
	}

	function update($new_instance, $old_instance) {
		// processes widget options to be saved
		$instance = $old_instance;
		$instance['size'] = strip_tags( $new_instance['size'] );

		return $instance;
	}

	// outputs the content of the widget
	function widget($args, $instance) {
		
		extract($args);
		echo $before_widget."\n";
		
?>
<script type="text/javascript">/* <![CDATA[ */
document.write('<s'+'cript type="text/javascript" src="http://ad.altervista.org/js.ad/size=<?php echo $instance['size']; ?>/r='+new Date().getTime()+'"><\/s'+'cript>');
/* ]]> */
</script>
<?php

		echo $after_widget."\n";

	}
}


// AlterVista with Google AdSense
add_action('widgets_init', 'AlterVista_GoogleAdsense_loader');

function AlterVista_GoogleAdsense_loader() {
	register_widget('AlterVista_GoogleAdsense');
}

class AlterVista_GoogleAdsense extends WP_Widget {
	function AlterVista_GoogleAdsense() {
		/* Widget settings. */
		$widget_ops = array('classname' => 'AlterVista_GoogleAdsense', 'description' => __('Use this widget to add a banner of AlterVista with Google AdSense to your blog',AVOPT));

		/* Widget control settings. */
		$control_ops = array('id_base' => 'altervista_googleadsense');

		/* Create the widget. */
		$this->WP_Widget('altervista_googleadsense', __('AlterVista with Google AdSense',AVOPT), $widget_ops, $control_ops );
	}

	function form($instance) {
		
		$defaults = array( 
				'size' => '300X250', 
				'google_color_border' => 'AED0E9',
				'google_color_bg' => 'E9F9FF',
				'google_color_link' => '5379B7',
				'google_color_url' => '5379B7',
				'google_color_text' => '000000',
				'corners' => 'rc:0',
				'type' => 'images'
			);
		
		$instance = wp_parse_args( (array) $instance, $defaults );
		$size = $instance['size'];
		$corners = $instance['corners'];
		$type = $instance['type'];
		$google_color_border = $instance['google_color_border'];
		$google_color_bg = $instance['google_color_bg'];
		$google_color_link = $instance['google_color_link'];
		$google_color_url = $instance['google_color_url'];
		$google_color_text = $instance['google_color_text'];
		
		?>			
		   <p><?php _e('Select Format',AVOPT); ?>:
				<select name="<?php echo $this->get_field_name( 'size' ); ?>">
					 <option value="300X250" <?php selected( $size, '300X250' ); ?>><?php _e('Video Banner 300x250',AVOPT); ?></option>
					 <option value="336X280" <?php selected( $size, '336X280' ); ?>><?php _e('Video Banner Large 336x280',AVOPT); ?></option>
					 <option value="120X600" <?php selected( $size, '120X600' ); ?>><?php _e('Skycraper 120x600',AVOPT); ?></option>
					 <option value="160X600" <?php selected( $size, '160X600' ); ?>><?php _e('Skycraper Large 160x600',AVOPT); ?></option>
					 <option value="125X125" <?php selected( $size, '125X125' ); ?>><?php _e('Button 125x125',AVOPT); ?></option>
				</select>
		   </p>
		   <p>
			<select name="<?php echo $this->get_field_name( 'type' ); ?>">
				<option value="default" <?php selected( $type, 'default' ); ?>>Text/Images</option>
				<option value="text" <?php selected( $type, 'text' ); ?>>Text Only</option>
				<option value="images" <?php selected( $type, 'images' ); ?>>Images Only</option>
			</select>			
		   <p>
			<?php _e('Select Border Style',AVOPT); ?>:
			        <select name="<?php echo $this->get_field_name( 'corners' ); ?>">
					 <option value="rc:0" <?php selected( $corners, 'rc:0' ); ?>><?php _e('Squared',AVOPT); ?></option>
					 <option value="rc:6" <?php selected( $corners, 'rc:6' ); ?>><?php _e('Slightly Rounded',AVOPT); ?></option>
					 <option value="rc:10" <?php selected( $corners, 'rc:10' ); ?>><?php _e('Very Rounded',AVOPT); ?></option>
				</select>
		   </p>
		   <p><?php _e('Select Colours',AVOPT); ?>:
		   <ul onmouseover="jscolor.init();">
				<li>
					<input class="color" id="<?php echo $this->get_field_id('google_color_border'); ?>" name="<?php echo $this->get_field_name('google_color_border'); ?>" type="text" value="<?php echo $google_color_border; ?>" />
					<label><?php _e('Border',AVOPT); ?></label>
				</li>
				<li>
					<input class="color" id="<?php echo $this->get_field_id('google_color_bg'); ?>" name="<?php echo $this->get_field_name('google_color_bg'); ?>" type="text" value="<?php echo $google_color_bg; ?>" />
					<label><?php _e('Background',AVOPT); ?></label>
				</li>
				<li>
					<input class="color" id="<?php echo $this->get_field_id('google_color_link'); ?>" name="<?php echo $this->get_field_name('google_color_link'); ?>" type="text" value="<?php echo $google_color_link; ?>" />
					<label><?php _e('Link',AVOPT); ?></label>
				</li>
				<li>
					<input class="color" id="<?php echo $this->get_field_id('google_color_url'); ?>" name="<?php echo $this->get_field_name('google_color_url'); ?>" type="text" value="<?php echo $google_color_url; ?>" />
					<label><?php _e('Url',AVOPT); ?></label>
				</li>
				<li>
					<input class="color" id="<?php echo $this->get_field_id('google_color_text'); ?>" name="<?php echo $this->get_field_name('google_color_text'); ?>" type="text" value="<?php echo $google_color_text; ?>" />
					<label><?php _e('Text',AVOPT); ?></label>
				</li>
		   </ul>
		
		<?php
		
	}

	function update($new_instance, $old_instance) {
		// processes widget options to be saved
		$instance = $old_instance;
		$instance['size'] = strip_tags( $new_instance['size'] );
		$instance['google_color_border'] = strip_tags( $new_instance['google_color_border'] );
		$instance['google_color_bg'] = strip_tags( $new_instance['google_color_bg'] );
		$instance['google_color_link'] = strip_tags( $new_instance['google_color_link'] );
		$instance['google_color_url'] = strip_tags( $new_instance['google_color_url'] );
		$instance['google_color_text'] = strip_tags( $new_instance['google_color_text'] );
		$instance['corners'] = strip_tags( $new_instance['corners'] );
		$instance['type'] = strip_tags( $new_instance['type'] );

		return $instance;
	}

	// outputs the content of the widget
	function widget($args, $instance) {
	
		extract($args);
		echo $before_widget."\n";
	
?>
<script type="text/javascript">/* <![CDATA[ */
google_color_border = "<?php echo $instance['google_color_border']; ?>";
google_color_bg = "<?php echo $instance['google_color_bg']; ?>";
google_color_link = "<?php echo $instance['google_color_link']; ?>";
google_color_url = "<?php echo $instance['google_color_url']; ?>";
google_color_text = "<?php echo $instance['google_color_text']; ?>";
google_ui_features = "<?php echo $instance['corners']; ?>";
<?php if($instance['type'] != 'default') { ?>
google_ad_type = "<?php echo $instance['type']; ?>";
<?php } ?>
document.write('<s'+'cript type="text/javascript" src="http://ad.altervista.org/js2.ad/size=<?php echo $instance['size']; ?>/r='+new Date().getTime()+'"><\/s'+'cript>');
/* ]]> */
</script>
<?php
		echo $after_widget."\n";
	}
}


// Add JSCOLOR javascritp to widget page on WordPress Admin
add_action('admin_print_scripts-widgets.php', 'avopt_load_color_picker_script');
function avopt_load_color_picker_script() {
	
	wp_register_script('jscolor',AVOPT_URL.'scripts/jscolor/jscolor.js');
	wp_enqueue_script('jscolor');
	
}



?>