<?php
// Disable AlterVista optimizer deactivation 

add_filter( 'plugin_action_links', 'avopt_disable_deactivation', 10, 4 );
function avopt_disable_deactivation($actions, $plugin_file, $plugin_data, $context ) {
    // Remove edit link for all
    if(array_key_exists('edit', $actions))
        unset( $actions['edit'] );
    // Remove deactivate link for crucial plugins
    if( array_key_exists('deactivate', $actions) && in_array($plugin_file, array(
        'altervista-optimizer/altervista-optimizer.php',
    )))
        unset($actions['deactivate']);
    return $actions;
}

// WordPress update notification

add_action( 'admin_notices', 'avopt_wordpress_update_notice');
function avopt_wordpress_update_notice() {

	@include('/membri/.dummy/inc/app_versions.php');
	
	$av_wp_version = '3.5.1';
	
	if(strcmp($wordpress_version,$av_wp_version) > 0) {
	
		if(strcmp(WPLANG,'it_IT') == 0) {
			$lang = 'it';
		}
		else {
			$lang = 'en';
		}
		
		$account_info = get_transient('avopt_account_info');
		if(empty($account_info)) {
			$AlterVistaPanel = new WP_AlterVistaPanel();
			if($AlterVistaPanel) {
			    $AlterVistaPanel->get_account_info();
			}
			$account_info = get_transient('avopt_account_info');
		}
		$update_link = '';
		if($account_info['type'] == 'hosting') {
			$update_link = "http://$lang.altervista.org/cplogin.php?redirect=/plugins/installer/install.pl";
		} elseif($account_info['type'] == 'blog') {
			$update_link = "http://$lang.altervista.org/cplogin.php?redirect=/plugins/installer/update.pl";
		}
		
		
		
		if(!empty($update_link)) {
		?>
		<div class="error fade" style="background-color: #FFF799;border-color: #E6DB55;">
			<p style="font-size:12px;line-height:18px;"> 
				<strong><?php _e('There is a new update available for WordPress',AVOPT); ?></strong>. <?php _e('Log in to',AVOPT); ?> <a href="<?php echo $update_link; ?>"><strong><?php _e('your control panel',AVOPT); ?></strong></a> 
				<?php _e('and upgrade your blog',AVOPT); ?>. <?php _e('Check the',AVOPT); ?> <a style="color:#21759B;" href="http://blog.altervista.org/<?php echo $lang; ?>/tag/wordpress"><strong><?php _e('official AlterVista blog',AVOPT); ?></strong></a> <?php _e('to learn more',AVOPT); ?>.
			</p>
		</div>
		<?php
		
		}
	}
	
}

/* AlterVista Toolbar disabled for logged users */
add_action('wp_head', 'avopt_disable_toolbar_for_logged_users');
function avopt_disable_toolbar_for_logged_users() {
	if ( is_user_logged_in() ) :
?>
	<script type="text/javascript">
	av_toolbar_off = 1;
	</script>
	<?php
	endif;
}

add_action('admin_head-plugin-install.php', 'avopt_zombie_plugin_cleaning');
function avopt_zombie_plugin_cleaning() {
	$account_info = get_transient('avopt_account_info');
	if(empty($account_info)) {
		$AlterVistaPanel = new WP_AlterVistaPanel();
		if($AlterVistaPanel) {
		    $AlterVistaPanel->get_account_info();
		}
		$account_info = get_transient('avopt_account_info');
	}
	if($account_info['type'] == 'blog') {
		return;
	}
	if ( ! $cache_plugins = wp_cache_get('plugins', 'plugins') )
		$cache_plugins = array();
	if ( isset($cache_plugins[ $plugin_folder ]) )
		return $cache_plugins[ $plugin_folder ];
	$wp_plugins = array ();
	$plugin_root = WP_PLUGIN_DIR;
	if ( !empty($plugin_folder) )
		$plugin_root .= $plugin_folder;
	// Files in wp-content/plugins directory
	$plugins_dir = @ opendir( $plugin_root);
	if ( $plugins_dir ) {
		while (($file = readdir( $plugins_dir ) ) !== false ) {
			if ( substr($file, 0, 1) == '.' )
				continue;
			if ( is_dir( $plugin_root.'/'.$file ) ) {
				$plugins_subdir = @ opendir( $plugin_root.'/'.$file );
				if ( $plugins_subdir ) {
					$plugin_files = array();
					while (($subfile = readdir( $plugins_subdir ) ) !== false ) {
						if ( substr($subfile, 0, 1) == '.' )
							continue;
						if ( substr($subfile, -4) == '.php' )
							$plugin_files[] = "$file/$subfile";
					}
					closedir( $plugins_subdir );
					if(empty($plugin_files)) {
						avopt_delete_directory($plugin_root.'/'.$file);
					}
				}
			}
		}
		closedir( $plugins_dir );
	}
}

function avopt_delete_directory($folder_name) {
         if (is_dir($folder_name))
	       $folder = opendir($folder_name);
	 if (!$folder)
	      return false;
	 while($file = readdir($folder)) {
	       if ($file != "." && $file != "..") {
	            if (!is_dir($folder_name."/".$file))
	                 unlink($folder_name."/".$file);
	            else
	                 avopt_delete_directory($folder_name.'/'.$file);
	       }
	 }
	 closedir($folder);
	 rmdir($folder_name);
	 return true;
}

?>