<?php

add_action('admin_menu', 'avopt_language_admin_page_registration');
function avopt_language_admin_page_registration() {
	add_options_page(__('Language Settings',AVOPT), __('Language',AVOPT), 'manage_options', 'language', 'avopt_language_admin_page');
}

function avopt_language_admin_page() {
    
    ?>
    
    <div class="wrap avopt-wrap">
    <div class="wrap avopt-wrap">
    <?php screen_icon(); ?>
    <h2><?php _e('Language Settings',AVOPT); ?></h2>
    <p class="clear"></p>
    <div class="postbox-container avopt-postbox">
            <form action="options.php" method="post">
                    <div class="postbox">
                            <?php settings_fields('avopt_language_options'); ?>
                            <?php do_settings_sections(AVOPT.'_language'); ?>
                            <div id="insertadv-buttons">
                                    <input class="button-primary" name="Submit" type="submit" value="<?php _e('Save Changes',AVOPT); ?>" />
                            </div>
                    </div>
            </form>
    </div>
    </div>
    <?php
    
}


// Register and define the settings
add_action('admin_init', 'avopt_language_settings_registration');
function avopt_language_settings_registration(){
	register_setting(
		'avopt_language_options',
		'avopt_language_options',
		'avopt_language_settings_validate'
	);
	
	add_settings_section(
		'avopt_language_section',
		__('Language Settings',AVOPT),
		'avopt_language_desc',
		AVOPT.'_language'
	);
	add_settings_field(
		'avopt_language_admin',
		__('Administration Language',AVOPT),
		'avopt_language_admin_html',
		AVOPT.'_language',
		'avopt_language_section'
	);
        	add_settings_field(
		'avopt_language_blog',
		__('Blog Language',AVOPT),
		'avopt_language_blog_html',
		AVOPT.'_language',
		'avopt_language_section'
	);

}

function avopt_language_desc() {
	?>
		<p><?php _e('Here you can change the language. You can choose one language for the administration and another one for the blog.',AVOPT); ?></p>
	<?php
}

function avopt_language_admin_html() {
    
        $avopt_language_options = get_option('avopt_language_options');
        $lang = !empty($avopt_language_options['admin_language']) ? $avopt_language_options['admin_language'] : WPLANG;
	if(empty($lang)) {
		$lang = 'en_US';
	}
    
    ?>
        <div class="avopt-admin-language">
            <span>
                <label class="avotp-lang-label" for="en_US_admin">
                    <img class="en_US_admin <?php if($lang == 'en_US') echo "checked-lang"; ?>" src="http://im.altervista.org/wordpress/images/flag_en_US.jpg" width="100" height="66" />
                </label>
                <input class="avotp-admin-lang-radio" type="radio" id="en_US_admin" name="avopt_language_options[admin_language]" value="en_US" <?php checked($lang, 'en_US'); ?> />
            </span>
        
            <span>
                <label class="avotp-lang-label" for="it_IT_admin">
                    <img class="it_IT_admin <?php if($lang == 'it_IT') echo "checked-lang"; ?>" src="http://im.altervista.org/wordpress/images/flag_it_IT.jpg" width="100" height="66" />
                </label>
                <input class="avotp-admin-lang-radio" type="radio" id="it_IT_admin" name="avopt_language_options[admin_language]" value="it_IT" <?php checked($lang, 'it_IT'); ?> />
            </span>
        </div>
        <script type="text/javascript">
            jQuery('.avotp-admin-lang-radio').change(function() {
                jQuery('.it_IT_admin').toggleClass('checked-lang');
                jQuery('.en_US_admin').toggleClass('checked-lang');
            });
        </script>
    <?php
    
}

function avopt_language_blog_html() {
        
        $avopt_language_options = get_option('avopt_language_options');
        $lang = !empty($avopt_language_options['blog_language']) ? $avopt_language_options['blog_language'] : WPLANG;
	if(empty($lang)) {
		$lang = 'en_US';
	}
    
    ?>
        <div class="avopt-blog-language">
            <span>
                <label class="avotp-lang-label" for="en_US_blog">
                    <img class="en_US_blog <?php if($lang == 'en_US') echo "checked-lang"; ?>" src="http://im.altervista.org/wordpress/images/flag_en_US.jpg" width="100" height="66" />
                </label>
                <input class="avotp-blog-lang-radio" type="radio" id="en_US_blog" name="avopt_language_options[blog_language]" value="en_US" <?php checked($lang, 'en_US'); ?> />
            </span>
        
            <span>
                <label class="avotp-lang-label" for="it_IT_blog">
                    <img class="it_IT_blog <?php if($lang == 'it_IT') echo "checked-lang"; ?>" src="http://im.altervista.org/wordpress/images/flag_it_IT.jpg" width="100" height="66" />
                </label>
                <input class="avotp-blog-lang-radio" type="radio" id="it_IT_blog" name="avopt_language_options[blog_language]" value="it_IT" <?php checked($lang, 'it_IT'); ?> />
            </span>
        </div>
        <script type="text/javascript">
            jQuery('.avotp-blog-lang-radio').change(function() {
               var value = jQuery(this).val();
               if(value == 'it_IT') {
                    jQuery('.it_IT_blog').toggleClass('checked-lang', 1500);
                    jQuery('.en_US_blog').toggleClass('checked-lang', 1500);
               } else {
                    jQuery('.it_IT_blog').toggleClass('checked-lang', 1500);
                    jQuery('.en_US_blog').toggleClass('checked-lang', 1500);
               }
            });
        </script>
        
    <?php
    
}

function avopt_language_settings_validate( $input ) {
    
    $output['admin_language'] = preg_match('/[a-z][a-z]_[A-Z][A-Z]/', $input['admin_language']) ? $input['admin_language'] : null;
    $output['blog_language'] = preg_match('/[a-z][a-z]_[A-Z][A-Z]/', $input['blog_language']) ? $input['blog_language'] : null;
    delete_transient('avblog_feed');
    return $output;
    
}

?>