<?php

add_filter('install_themes_tabs', 'avopt_install_themes_tabs', 1);
function avopt_install_themes_tabs($tabs) {

    global $tab;
    $new_tabs = array();
    $new_tabs['mythemes'] = __( 'My Theme', AVOPT );
    $new_tabs['dashboard'] = __( 'Themes gallery', AVOPT );
    if($tab == 'dashboard' || $tab == 'professional' || $tab == 'featured' || $tab == 'new') {
	$new_tabs['professional'] = __( 'Premium', AVOPT );
	$new_tabs['featured'] = __( 'Suggested', AVOPT );
	$new_tabs['new']  = __( 'Freshly printed', AVOPT );
    }
    $new_tabs['search'] = __( 'Search theme', AVOPT );
    $new_tabs['upload'] = __( 'Upload theme', AVOPT );
    return $new_tabs;
    
}

add_filter('admin_body_class', 'avopt_themes_admin_body_class');
function avopt_themes_admin_body_class($admin_body_classes) {
    
    global $tab, $hook_suffix;
    if( $hook_suffix == 'theme-install.php') {
	    return "$admin_body_classes theme-install-php-$tab";
    }
    return $admin_body_classes;

}

add_action('install_theme_page_title','avopt_install_theme_page_title');
function avopt_install_theme_page_title() {
?>
    <h2><?php _e('Themes', AVOPT); ?></h2>
<?php  
}



add_action('install_themes_dashboard', 'avopt_install_themes_dashboard', 1, 1);
function avopt_install_themes_dashboard($paged) {
    
    remove_action('install_themes_dashboard', 'install_themes_dashboard');
    global $wp_list_table;
    global $themes_allowedtags;

    //install_themes_dashboard($paged);
    ?>
    <div class="av-themes">
		
		<h4 class="tag-theme"><a href="<?php  esc_url( admin_url( 'theme-install.php?tab=professional' ) ); ?>"><?php _e('Premium', AVOPT); ?></a></h4>
		<span class="av-promo">
			<img src="http://im.altervista.org/wordpress/images/badge-free.png"  style="vertical-align:middle" />
			<strong><?php _e('Premium themes by WooThemes, free on AlterVista (forever)', AVOPT); ?></strong>*
		</span>
		<div id="theme-slider">
		    <div class="flexslider">
			    <ul class="slides">
				<?php
				$themes = $wp_list_table->items['professional'];
				foreach ( $themes as $theme ) {
				    
				    $name = wp_kses($theme->name, $themes_allowedtags);
				    $preview_link = $theme->preview_url . '?TB_iframe=true&amp;width=600&amp;height=400';
				?>
				<li>
				    <a class='thickbox thickbox-preview screenshot' href="<?php echo $preview_link; ?>" title="<?php echo esc_attr(sprintf(__('Preview &#8220;%s&#8221;', AVOPT), $name)); ?>">
<img width="600" src="<?php echo esc_url($theme->screenshot_large_url); ?>" title="<?php the_title(); ?>" alt="<?php echo $name; ?>" /></a>
				    <div class="flex-caption">
					<div class="flex-caption-title"><?php echo $name; ?></div>
					<div class="flex-caption-links">
					    
				<?php
				    $install_url = add_query_arg( array(
					    'action' => 'install-theme',
					    'theme'  => $theme->slug,
				    ), self_admin_url( 'update.php' ) );
				?>
					    <a href="<?php echo esc_url( wp_nonce_url( $install_url, 'install-theme_' . $theme->slug ) ); ?>" class="install-now" title="<?php echo esc_attr(sprintf(__('Install &#8220;%s&#8221;', AVOPT), $name));?>"><?php  _e('Install', AVOPT); ?></a>
					    |
					    <a class='install-theme-preview' href="<?php echo self_admin_url('theme-install.php?tab=theme-information&amp;theme=' . $theme->slug) ?>" title="<?php echo esc_attr(sprintf(__('Preview &#8220;%s&#8221;', AVOPT), $name)); ?>"><?php _e('Preview', AVOPT); ?></a> 
					</div>
											   
				    </div>
				</li>
				<?php } ?>
				
			    </ul>
		    </div>
		</div>
		<script>
		    jQuery('.flexslider').flexslider({
			 controlNav: false,
			 animation: "fade",
			 pauseOnAction: true,
			 pauseOnHover: false, 
			 controlNav: true,
			 slideshowSpeed: 5000,
			 start: function(){
			 }
		     });
		 </script>
		<h4 class="tag-theme"><a href="<?php  esc_url( admin_url( 'theme-install.php?tab=featured' ) ); ?>"><?php _e('Suggested', AVOPT); ?></a></h4>
		<div id="avopt-featured-themes">
		    <?php
		    $themes = $wp_list_table->items['featured'];
		    foreach ( $themes as $theme ) {
				    $class = array( 'available-theme' );
				    ?>
				    <div class="<?php echo join( ' ', $class ); ?>"><?php
					display_theme( $theme );
				    ?></div>
		    <?php } ?>
		</div>
		<h4 class="tag-theme"><a href="<?php  esc_url( admin_url( 'theme-install.php?tab=new' ) ); ?>"><?php _e('Freshly printed', AVOPT); ?></a></h4>
		<div id="avopt-new-themes">
		    <?php
		   $themes = $wp_list_table->items['new'];
		    foreach ( $themes as $theme ) {
				    $class = array( 'available-theme' );
				    ?>
				    <div class="<?php echo join( ' ', $class ); ?>"><?php
					display_theme( $theme );
				    ?></div>
		    <?php } ?>
		</div>
		<p><?php _e('(*) We think WooThemes has some of the best WordPress templates you can ever find. So we decided to offer them to you, free of charge (the usual cost for a WooThemes template is around 50$)', AVOPT ) ?></p>

    </div>
    <?php
}

add_action('install_themes_table_header','avopt_install_themes_table_header',1);
function avopt_install_themes_table_header() {
    remove_action( 'install_themes_table_header', 'install_theme_search_form' );
}

add_action('install_themes_featured', 'avopt_install_themes_featured', 1, 1);
function avopt_install_themes_featured($paged) {
    remove_action('install_themes_featured', 'display_themes');
    ?>
    <div class="av-themes">
	<h4><?php _e('Themes choosen for you by AlterVista Staff', AVOPT); ?></h4>
	<div class="avopt-theme-container">
	<?php
	global $wp_list_table;
	$wp_list_table->display();
	?>
	</div>
    </div>
    <?php
}


add_action('install_themes_new', 'avopt_install_themes_new', 1, 1);
function avopt_install_themes_new($paged) {
    remove_action('install_themes_new', 'display_themes');
    ?>
    <div class="av-themes">
	<h4><?php _e('Last added Themes', AVOPT); ?></h4>
	<div class="avopt-theme-container">
	<?php
	global $wp_list_table;
	$wp_list_table->display();
	?>
	</div>
    </div>
    <?php
    
}



add_action('install_themes_search', 'avopt_install_themes_search', 1, 1);
function avopt_install_themes_search($page) {
    
?>
<div class="av-themes">
<?php
        remove_action('install_themes_search', 'display_themes');
	avopt_install_theme_search_form();
        if(!isset( $_REQUEST['s'] )) :
?>
<h4><?php _e('Feature Filter') ?></h4>
<div class="avopt-theme-container">
<form method="post" action="<?php echo self_admin_url( 'theme-install.php?tab=search' ); ?>">
<p class="install-help"><?php _e('Find a theme based on specific features') ?></p>
	<?php
	$feature_list = get_theme_feature_list( );
	echo '<div class="feature-filter">';

	foreach ( (array) $feature_list as $feature_name => $features ) {
		$feature_name = esc_html( $feature_name );
		echo '<div class="feature-name">' . $feature_name . '</div>';

		echo '<ol class="feature-group">';
		foreach ( $features as $feature => $feature_name ) {
			$feature_name = esc_html( $feature_name );
			$feature = esc_attr($feature);
?>

<li>
	<input type="checkbox" name="features[<?php echo $feature; ?>]" id="feature-id-<?php echo $feature; ?>" value="<?php echo $feature; ?>" />
	<label for="feature-id-<?php echo $feature; ?>"><?php echo $feature_name; ?></label>
</li>

<?php	} ?>
</ol>
<br class="clear" />
<?php
	} ?>
<p style="margin-left:10px;"><?php submit_button( __( 'Find Themes' ), 'button', 'search' ); ?></p>
</div>
</form>
<?php
        endif;
        global $term;
        if(isset( $_REQUEST['s'] )) :
            global $wp_list_table;
            $wp_list_table->display();
        endif;
?>
</div> <!-- av-themes -->
<?php
	
}


function avopt_install_theme_search_form() {
	$type = isset( $_REQUEST['type'] ) ? stripslashes( $_REQUEST['type'] ) : '';
	$term = isset( $_REQUEST['s'] ) ? stripslashes( $_REQUEST['s'] ) : '';
        
        if($type > '' && $term > '') :
            $term = preg_replace('/,/',', ', $term);
        ?>
        <p class="search-results-title"><?php
            _e('Results for ', AVOPT);
            if($type == 'term') :
                _e('Term');
            else :
                _ex('Tag', 'Theme Installer');
            endif;
            echo ": <strong>$term</strong>"; ?>
            <a href="theme-install.php?tab=search"><input type="submit" value="<?php _e('New Search', AVOPT); ?>" class="button" id="search" name="search" /></a>
        </p>
        <?php  
        else :
	?>
<h4><?php _e('Search for themes by keyword or tag.', AVOPT) ?></h4>
<div class="avopt-theme-container">
<form id="search-themes" method="get" action="">
	<input type="hidden" name="tab" value="search" />
	<select	name="type" id="typeselector">
	<option value="term" <?php selected('term', $type) ?>><?php _e('Term'); ?></option>
	<option value="tag" <?php selected('tag', $type) ?>><?php _ex('Tag', 'Theme Installer'); ?></option>
	</select>
	<input type="text" name="s" size="30" value="<?php echo esc_attr($term) ?>" />
	<?php submit_button( __( 'Search' ), 'button', 'search', false ); ?>
</form>
</div>
<?php
        endif;
}

add_action('install_themes_upload', 'avopt_install_themes_upload', 1, 1);
function avopt_install_themes_upload($page = 1) {
    remove_action('install_themes_upload', 'install_themes_upload', 10, 1);
?>
<div class="av-themes">
<h4><?php _e('Install a theme in .zip format') ?></h4>
<div class="avopt-theme-container">
<p class="install-help"><?php _e('If you have a theme in a .zip format, you may install it by uploading it here.') ?></p>
<form method="post" enctype="multipart/form-data" action="<?php echo self_admin_url('update.php?action=upload-theme') ?>">
	<?php wp_nonce_field( 'theme-upload') ?>
	<input type="file" name="themezip" />
	<?php submit_button( __( 'Install Now' ), 'button', 'install-theme-submit', false ); ?>
</form>
</div>
</div>
	<?php
}

add_action('install_themes_professional', 'avopt_install_themes_professional', 1, 1);
function avopt_install_themes_professional($paged) {
    ?>
    <div class="av-themes">
	<h4 style="color:#1E9906">
		<img src="http://im.altervista.org/wordpress/images/badge-free.png"  style="vertical-align:middle" />
		<?php _e('Premium themes by WooThemes, free on AlterVista (forever)', AVOPT); ?>	
	</h4>
	<div class="avopt-theme-container">
	<?php
	global $wp_list_table;
	$wp_list_table->display();
	?>
	</div>
    </div>
    <?php
    
}

add_filter('themes_api', 'avopt_themes_api', 1, 3);
function avopt_themes_api($var, $action, $args) {
    
    if(property_exists($args, 'browse') && is_array($args->browse)) {
	$action = 'multiple_query_themes';
	$args->per_page = 10;
	$args->page = 1;
    }
    if ((isset($_ENV['AV_IS_DEV']) && $_ENV['AV_IS_DEV']) || (isset($_SERVER['AV_IS_DEV']) && $_SERVER['AV_IS_DEV']) || (isset($_SERVER['REDIRECT_AV_IS_DEV']) && $_SERVER['REDIRECT_AV_IS_DEV'])) {
	$request = wp_remote_post('http://46.4.17.188/wordpress/theme_server.php', array( 'body' => array('action' => $action, 'request' => serialize($args))) );
    } else {
	$request = wp_remote_post('http://it.altervista.org/wordpress/theme_server.php', array( 'body' => array('action' => $action, 'request' => serialize($args))) );
    }
    if ( is_wp_error($request) ) {
	    $res = new WP_Error('themes_api_failed', __('An Unexpected HTTP Error occurred during the API request.'), $request->get_error_message() );
    } else {
	    $res = unserialize( wp_remote_retrieve_body( $request ) );
	    if ( ! $res )
	    $res = new WP_Error('themes_api_failed', __('An unknown error occurred.'), wp_remote_retrieve_body( $request ) );
    }
    return $res;
}

add_action('admin_enqueue_scripts','avopt_install_themes_enqueue_scripts');
function avopt_install_themes_enqueue_scripts($hook) {
    
    if( 'theme-install.php' != $hook )
        return;
    wp_register_style('flexslider.css', AVOPT_URL . 'scripts/slider/flexslider.css');
    wp_register_script('flexslider.js', AVOPT_URL . 'scripts/slider/jquery.flexslider-min.js', array('jquery'));
    wp_enqueue_style('flexslider.css');
    wp_enqueue_script('flexslider.js');
    
}

add_action('manage_themes_navigation', 'avopt_manage_themes_navigation');
function avopt_manage_themes_navigation() {
  ?>
    <div id="icon-avopt" class="icon32"><br /></div><h2><?php _e('Themes', AVOPT); ?></h2>
<?php
    if ( ! is_multisite() && current_user_can( 'install_themes' ) ) : ?>
	<ul class="subsubsub">
	    <li class="theme-install-mythemes"><a href="themes.php" class="current"><?php _e('My Theme', AVOPT); ?></a> |</li>
	    <li class="theme-install-dashboard"><a href="theme-install.php?tab=dashboard"><?php _e('Themes gallery', AVOPT); ?></a> |</li>
	    <li class="theme-install-search"><a href="theme-install.php?tab=search"><?php _e('Search theme', AVOPT); ?></a> |</li>
	    <li class="theme-install-upload"><a href="theme-install.php?tab=upload"><?php _e('Upload theme', AVOPT); ?></a></li>
	</ul>
	<br class="clear" />
    <?php else : ?>
	<ul class='subsubsub'>
	    <li class='theme-install-mythemes'><a href='themes.php'><?php _e('My Themes', AVOPT); ?></a> |</li>
	</ul>
	<br class="clear" />
    <?php
    endif;
}

?>